/* ==========================================================================
                            会社概要ページのスタイル
   ========================================================================== */

.page-company {
    overflow: hidden;
}

.company-feature {
    padding-top: 4rem;

    .section-title__lg {
        --font-color: var(--primary-color);
    }

    .company-feature__content {
        text-align: center;
        margin-top: 5rem;
        margin-bottom: 4rem;

        h3 {
            font-size: clamp(1rem, -0.415rem + 3.77vw, 2rem);
            letter-spacing: 0.1em;
            font-weight: 500;
        }

        p {
            margin-top: 2.5rem;
            line-height: 2;
        }
    }

    .separator {
        aspect-ratio: 1440 / 420;
        background-image: url(../assets/images/company/company-feature-separator.jpg);
        background-size: cover;
        background-position: center;
        width: 100%;
        min-height: 15rem;
    }

    @media screen and (width <=600px) {
        .section-title__lg .en {
            font-size: 3.25rem;
            letter-spacing: 0.07em;
        }

        .company-feature__content {
            margin-top: 2.5rem;
            margin-bottom: 3rem;

            p {
                text-align: left;
                margin-top: 1.75rem;

                br {
                    display: none;
                }
            }
        }

        .separator {
            min-height: auto;
            height: 8rem;
        }
    }
}

.company-greeting {
    padding-top: 6.25rem;
    padding-bottom: 5rem;
    position: relative;

    .company-greeting__content {
        display: flex;
        gap: clamp(2rem, calc(-0.83rem + 7.547vw), 4rem);
        /* min: 32px, max: 64px */
        margin-top: 4rem;

        .company-greeting__thumbnail {
            flex: 0 0 32%;

            img {
                width: 100%;
            }

            p {
                margin-top: 1.5rem;
                text-align: right;
                font-size: clamp(0.875rem, 0.344rem + 1.42vw, 1.25rem);
            }
        }

        .company-greeting__text {
            flex: 1;

            p {
                line-height: 2;
            }

            p+p {
                margin-top: 2em;
            }
        }
    }

    &::after {
        content: '';
        display: block;
        width: calc(560 / 1440 * 100%);
        max-width: 640px;
        min-width: 400px;
        aspect-ratio: 560 / 572;
        background-image: url(../assets/images/common/bg-circle.svg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        position: absolute;
        bottom: -10.875rem;
        right: -10rem;
        z-index: 0;
    }

    @media (width <=600px) {
        padding-top: 2.5rem;

        .company-greeting__content {
            margin-top: 3rem;
            flex-direction: column;
            gap: 1.25rem;

            .company-greeting__thumbnail,
            .company-greeting__text {
                flex: none;
            }

            .company-greeting__thumbnail {
                width: 74%;
                margin-inline: auto;

                p {
                    margin-top: 0.75rem;
                    text-align: center;
                }
            }
        }

        &::after {
            background-image: url(../assets/images/common/bg-circle_sp.svg);
            width: calc(360 / 390 * 100%);
            min-width: auto;
            max-width: 400px;
            bottom: -7.375rem;
            right: -6.5rem;
        }
    }
}

.company-info {
    padding: 5rem 0;

    .section-title__company {
        color: var(--primary-color);
        text-align: center;
        margin-bottom: 4rem;

        .en {
            font-size: clamp(2rem, calc(0.585rem + 3.774vw), 3rem);
            /* min: 32px, max: 48px */
            font-weight: 700;
            text-transform: uppercase;
            letter-spacing: 0.1em;
            line-height: 1.2;
        }

        .ja {
            font-size: clamp(1.125rem, calc(0.594rem + 1.415vw), 1.5rem);
            /* min: 18px, max: 24px */
            font-weight: 500;
            margin-top: 0.25rem;
            letter-spacing: 0.1em;
            line-height: 1.5;
        }
    }

    .company-info__content__wrapper {
        background-color: #fff;
        border-radius: 2.5rem;
        padding: 5rem 2rem;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.16);

        .company-info__content {
            max-width: min(720px, 100%);
            margin-inline: auto;
        }


        dl {
            display: grid;
            grid-template-columns: 1fr 3fr;
            row-gap: 1.5rem;
            margin-top: 2.5rem;
        }
    }

    .company-info__content__wrapper+.company-info__content__wrapper {
        margin-top: 4rem;
    }

    @media screen and (width <=600px) {
        padding-top: 4rem;

        .company-info__content__wrapper {
            padding: 3.75rem 1.5rem;

            .section-subtitle {
                text-align: center;
            }

            dl {
                grid-template-columns: 1fr;
                row-gap: 0.25rem;
                margin-top: 1.5rem;

                dt {
                    font-size: 1rem;
                    font-weight: 500;
                }

                dd+dt {
                    margin-top: 1.5rem;
                }

                dd {
                    padding-left: 0.5em;

                    br {
                        display: none;
                    }
                }
            }
        }
    }
}

.company-access {
    padding-top: 6.25rem;
    padding-bottom: 10rem;

    .company-access__main {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto 1fr;
        grid-column-gap: 1.5rem;
        margin-top: 4rem;

        h3 {
            grid-area: 1 / 1 / 2 / 2;
        }

        p {
            grid-area: 2 / 1 / 3 / 2;
            margin-top: 1.25rem;
            font-size: clamp(0.875rem, calc(0.521rem + 0.943vw), 1.125rem);
            /* min: 14px, max: 18px */
            line-height: 2;

            small {
                display: inline-block;
                margin-top: 1.5rem;
                font-size: clamp(0.75rem, calc(0.396rem + 0.943vw), 1rem);
                /* min: 12px, max: 16px */
            }
        }

        img {
            grid-area: 1 / 2 / 3 / 3;
        }
    }

    .company-access__map {
        margin-top: 3rem;
        width: 100%;
        height: 35rem;

        iframe {
            width: 100%;
            height: 100%;
            border: 0;
        }
    }

    .company-access__sub {
        margin-top: 5rem;
    }

    .company-access__branch-list {
        margin-top: 2.5rem;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
        grid-column-gap: 1rem;
    }

    .company-access__branch-item {
        line-height: 2;
        max-width: min(100%, 25.75rem);

        .branch-name {
            font-size: clamp(0.875rem, calc(0.521rem + 0.943vw), 1.125rem);
            /* min: 14px, max: 18px */
            letter-spacing: 0.1em;
            font-weight: 400;

            &::before {
                content: '■ ';
            }
        }

        .branch-address {
            font-size: clamp(0.875rem, calc(0.521rem + 0.943vw), 1.125rem);
            /* min: 14px, max: 18px */
            letter-spacing: 0.1em;
        }

        .branch-map {
            width: fit-content;
            margin-left: auto;
            margin-right: 0;

            a {
                display: grid;
                grid-template-columns: 1fr auto 1fr;
                margin-top: 2rem;
                font-size: 0.875rem;
                font-family: var(--font-en);
                letter-spacing: 0.1em;
                background-color: var(--primary-color);
                color: var(--white-color);
                padding: 0.625rem 1.5rem;
                min-width: 13.75rem;

                &::before {
                    content: '';
                    display: block;
                }

                &::after {
                    content: '→';
                    display: block;
                    justify-self: end;
                }
            }
        }
    }

    @media screen and (width <=600px) {
        padding-bottom: 5rem;

        .company-access__main {
            grid-template-columns: 1fr;
            grid-template-rows: auto auto auto;
            grid-row-gap: 1rem;

            h3 {
                grid-area: 1 / 1 / 2 / 2;
            }

            p {
                margin-top: 0;
                grid-area: 2 / 1 / 3 / 2;

                small {
                    margin-top: 1em;
                }
            }

            img {
                grid-area: 3 / 1 / 4 / 2;
                width: 100%;
                height: auto;
                margin-top: 1rem;
            }
        }

        .company-access__map {
            margin-top: 2.5rem;
            height: 12.5rem;
        }

        .company-access__sub {
            margin-top: 3rem;

            .company-access__branch-list {
                margin-top: 1rem;
                grid-template-columns: 1fr;
                row-gap: 3.5rem;

                .branch-map {
                    margin-left: 0;
                    margin-right: auto;
                }

                .branch-map a {
                    margin-top: 1.5rem;
                    min-width: 11.25rem;
                    gap: 0.5rem;
                }
            }
        }
    }
}